Skip to main content
GET
/
v1
/
users
/
{wallet_address}
/
positions
/
{vault_id}
/
timeseries
Get user position timeseries for a specific vault
curl --request GET \
  --url https://api.gauntlet.xyz/v1/users/{wallet_address}/positions/{vault_id}/timeseries \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "cost_basis": {
        "native": "<string>",
        "usd": "<string>"
      },
      "realized_pnl": {
        "native": "<string>",
        "usd": "<string>"
      },
      "roi_pct": {
        "native": 123,
        "usd": 123
      },
      "shares_owned": "<string>",
      "timestamp": "2023-11-07T05:31:56Z",
      "total_pnl": {
        "native": "<string>",
        "usd": "<string>"
      },
      "unrealized_pnl": {
        "native": "<string>",
        "usd": "<string>"
      },
      "value": {
        "native": "<string>",
        "usd": "<string>"
      }
    }
  ],
  "meta": {
    "count": 123,
    "limit": 123,
    "refreshed_at": "2023-11-07T05:31:56Z",
    "request_id": "<string>",
    "end": "2023-11-07T05:31:56Z",
    "next_cursor": "<string>",
    "start": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

wallet_address
string
required

Ethereum wallet address

vault_id
string
required

Vault identifier

Query Parameters

start
string

Start timestamp (ISO 8601)

end
string

End timestamp (ISO 8601)

next
string

Opaque cursor from previous meta.next_cursor.

limit
integer<int64>

Page size (1–10000, default 1000).

order
string

Sort direction: asc (default) or desc.

Response

Position timeseries

data
object[]
required
meta
object
required